package com.yeejoin.amos.patrol.business.entity.mybatis;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 巡检记录详情Bo
 * @author tianbo
 *
 */
public class CheckDetailBo implements Serializable, Cloneable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 巡检记录ID
	 */
	private Long checkID;
	
	/**
	 * 巡检点名称
	 */
	private String pointName;
	
	/**
	 * 巡检时间
	 */
	private Date checkTime;
	
	/**
	 * 巡检点编号
	 */
	private String pointNo;
	
	/**
	 * 巡检人员
	 */
	private String checkUserName;
	
	/**
	 * 部门
	 */
	private String group;
	
	/**
	 * 类型
	 */
	private String isFixed;
	
	/**
	 * 巡检线路
	 */
	private String routeName;
	
	/**
	 * 是否合格
	 */
	private String isOK;
	
	/**
	 * 计划名称
	 */
	private String planName;
	
	/**
	 * 巡检计划
	 */
	private String planRemark;
	
	/**
	 * 现场照片路径
	 */
	private List<String> photosUrl;
	
	/**
	 * 联系方式
	 */
	private String contact = "";
	
	/**
	 * 检查评分
	 */
	private String checkScore;
	
	/**
	 * 巡检级别
	 */
	private String Level;
	
	
	private String checkRemark;

	public Long getCheckID() {
		return checkID;
	}

	public void setCheckID(Long checkID) {
		this.checkID = checkID;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public Date getCheckTime() {
		return checkTime;
	}

	public void setCheckTime(Date checkTime) {
		this.checkTime = checkTime;
	}

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public String getCheckUserName() {
		return checkUserName;
	}

	public void setCheckUserName(String checkUserName) {
		this.checkUserName = checkUserName;
	}

	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	public String getIsFixed() {
		return isFixed;
	}

	public void setIsFixed(String isFixed) {
		this.isFixed = isFixed;
	}

	public String getRouteName() {
		return routeName;
	}

	public void setRouteName(String routeName) {
		this.routeName = routeName;
	}

	public String getIsOK() {
		return isOK;
	}

	public void setIsOK(String isOK) {
		this.isOK = isOK;
	}

	public String getPlanName() {
		return planName;
	}

	public void setPlanName(String planName) {
		this.planName = planName;
	}

	public String getPlanRemark() {
		return planRemark;
	}

	public void setPlanRemark(String planRemark) {
		this.planRemark = planRemark;
	}

	public List<String> getPhotosUrl() {
		return photosUrl;
	}

	public void setPhotosUrl(List<String> photosUrl) {
		this.photosUrl = photosUrl;
	}

	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getCheckScore() {
		return checkScore;
	}

	public void setCheckScore(String checkScore) {
		this.checkScore = checkScore;
	}

	public String getLevel() {
		return Level;
	}

	public void setLevel(String level) {
		Level = level;
	}

	public String getCheckRemark() {
		return checkRemark;
	}

	public void setCheckRemark(String checkRemark) {
		this.checkRemark = checkRemark;
	}
	
}
